be.fgov.ehealth.etkra.protocol.v2

## Class StartETKRegistrationResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.etkra.protocol.v2.StartETKRegistrationResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:56:14+02:00",
                 comments="JAXB RI v2.3.7")
      public class StartETKRegistrationResponse
      extends StatusResponseType
      implements Serializable

  The response contains a "challenge" that must be decrypted by the user. The web service has generated a random serial number and then encrypted it with the PublicEncryptionKey that was supplied by the user in the request. The user now needs to decrypt the challenge in order to prove their possession of the private key. The number that results from this decryption needs to be used as the serial number of the certificate of the encryption key.

  Java class for StartETKRegistrationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StartETKRegistrationResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="Challenge" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartETKRegistrationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getChallenge()` Gets the value of the challenge property.
    `void` | `setChallenge(byte[] value)` Sets the value of the challenge property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartETKRegistrationResponse

          public StartETKRegistrationResponse()

  - ### Method Detail

    - #### getChallenge

          public byte[] getChallenge()

      Gets the value of the challenge property.
      Returns:
        possible object is byte[]

    - #### setChallenge

          public void setChallenge(byte[] value)

      Sets the value of the challenge property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.